KDE 4.7 PyKDE API Reference

- KDE's Python API

# ItemUrl Class Reference

`from PyKDE4.kdecore import *`

Inherits: KConfigSkeletonItem
Namespace: KCoreConfigSkeleton

## Detailed Description

Class for handling a url preferences item.

## Methods

| __init__ (self, QString _group, QString _key, KUrl reference, KUrl defaultValue=KUrl())
bool | isEqual (self, QVariant p)
QVariant | property (self)
| readConfig (self, KConfig config)
| readDefault (self, KConfig config)
| setDefault (self)
| setDefaultValue (self, KUrl v)
| setProperty (self, QVariant p)
| setValue (self, KUrl v)
| swapDefault (self)
KUrl | value (self)
| writeConfig (self, KConfig config)

## Method Documentation

__init__ | ( | self, |
|  | QString | _group,
|  | QString | _key,
|  | KUrl | reference,
|  | KUrl | defaultValue=KUrl()
| ) |  |  |

KConfigSkeletonGenericItem.KConfigSkeletonGenericItem

bool isEqual | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.isEqual(const QVariant &) const

QVariant property | ( |  | self ) |

KConfigSkeletonItem.property() const

readConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

KConfigSkeletonItem.readConfig(KConfig*)

readDefault | ( | self, |
|  | KConfig | config
| ) |  |  |

setDefault | ( |  | self ) |

setDefaultValue | ( | self, |
|  | KUrl | v
| ) |  |  |

setProperty | ( | self, |
|  | QVariant | p
| ) |  |  |

KConfigSkeletonItem.setProperty(const QVariant&)

setValue | ( | self, |
|  | KUrl | v
| ) |  |  |

swapDefault | ( |  | self ) |

KUrl value | ( |  | self ) |

writeConfig | ( | self, |
|  | KConfig | config
| ) |  |  |

KConfigSkeletonItem.writeConfig(KConfig*)